Bug 130984 - default configuration does not listen for IPv6 connections
Summary: default configuration does not listen for IPv6 connections
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: vsftpd   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Radek Vokal
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-08-26 14:25 UTC by Thomas Zehetbauer
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-27 11:04:43 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Thomas Zehetbauer 2004-08-26 14:25:33 UTC
You should use listen_ipv6=YES instead of listen=YES in
/etc/vsftpd/vsftpd.conf

Version-Release number of selected component (if applicable):
vsftpd-2.0.1-1

Comment 1 Radek Vokal 2004-08-27 09:37:39 UTC
Parameters listen_ipv6 and listen are mutual exclusive. So like with
listen parameters, listen_ipv6 vsftpd will listen on an IPv6
socket instead of an IPv4 one. Default conf file is eg. set to IPv4
adresses. 


Comment 2 Thomas Zehetbauer 2004-08-27 09:45:17 UTC
IPv6 sockets do accept IPv4 connections but IPv4 sockets cannot accept
IPv6 connections.

Comment 3 Radek Vokal 2004-08-27 11:04:43 UTC
You're right. Fixed in new release. 


Note You need to log in before you can comment on or make changes to this bug.